import axios from 'axios';
const baseUri = "/waterFunctionArea/surfaceWaterPoint";
const listAllUrl = baseUri + "";

// 添加
const savePlace = function (data) {
    return axios.post("/waterFunctionArea/surfaceWaterPoint",data)
}

// 删除
const removePlace = function (id) {
    return axios.delete(`/waterFunctionArea/surfaceWaterPoint/${id}`,)
}
// 批量删除
const removeBatchPlace = function (ids) {
    return axios.delete("/waterFunctionArea/surfaceWaterPoint/batch",{data:ids})
}

// 修改
const updatePlace = function (data) {
    return axios.put("/waterFunctionArea/surfaceWaterPoint",data)
}

const copyBatchPlace = function (data){
    return axios.post("/waterFunctionArea/surfaceWaterPoint/copyBatch",data)
}
const getColumnOptions = function(column){
    return axios.get("/waterFunctionArea/surfaceWaterPoint/options",{params:{column}})
}
const listInfo = function(){
    return axios.post("/waterFunctionArea/surfaceWaterPoint/listInfo",{})
}
export {
    listAllUrl,
    savePlace,
    updatePlace,
    removeBatchPlace,
    removePlace,
    copyBatchPlace,
    getColumnOptions,
    listInfo

}
